/*
 * ExportGraph_ToJobs.hpp
 *
 *  Created on: 08.03.2012
 *      Author: heber
 */

#ifndef EXPORTGRAPH_TOJOBS_HPP_
#define EXPORTGRAPH_TOJOBS_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <string>
#include <vector>

#include "Fragmentation/HydrogenSaturation_enum.hpp"
#include "Fragmentation/Exporters/ExportGraph.hpp"
#include "MoleculeListClass.hpp"

/** ExportGraph_ToJobs implements an ExportGraph by sending the created
 * configurations of fragmentary systems as jobs to a server.
 *
 */
class ExportGraph_ToJobs : public ExportGraph
{
public:
  ExportGraph_ToJobs(
      const Graph &_graph,
      const enum HydrogenTreatment _treatment,
      const enum HydrogenSaturation _saturation);
  virtual ~ExportGraph_ToJobs();

	void operator()();

};

#endif /* EXPORTGRAPH_TOJOBS_HPP_ */
